#ifndef __SNASYN_H__
#define __SNASYN_H__
 
#ifdef D_USE_LIPSYNC
 
#ifdef  __cplusplus
extern "C" {
#endif
 
extern CPA_EXPORT void SNA_fn_xWriteOpenLipsSynchTableFile(char *szFileName);
extern CPA_EXPORT ACP_tdxBool SNA_fn_xReadOpenLipsSynchTableFile(char *szFileName);
extern CPA_EXPORT void SNA_fn_vCloseLipsSynchTableFile();
extern CPA_EXPORT void SNA_fn_vWriteLipsSynchEntryInLipsSynchTableFile(char *szVigFilename,unsigned long ulPointerAdr);
extern CPA_EXPORT void SNA_fn_vReadAndUpdateLipsSynchPointers();
 
extern CPA_EXPORT void fn_vOpenWriteLipsSynchroBloc(char *szFileName);
extern CPA_EXPORT void fn_vCloseWriteLipsSynchroBloc();
extern CPA_EXPORT void fn_vWriteLipsSynchroBloc(tdstLipsSynchroTable *p_stLSTable, char *szSectionName);
extern CPA_EXPORT void fn_vReadAllLipsSynchroBlocs(char *szFileName);
extern CPA_EXPORT tdstLipsSynchroTable *fn_p_stReturnLipsSynchTable(char *szSectionName);
 
#ifdef  __cplusplus
}/* extern "C" */
#endif
 
#endif /*D_USE_LIPSYNC*/
 
#endif /* __SNASYN_H__*/
